%define name xmms-gdancer
%define oname gdancer
%define version 0.2.0
%define release 4mdk	

Name:		%{name}
Summary:	GDancer - The Dancing Space Ghost XMMS plugin
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://www.figz.com/gdancer/
Source:		%{oname}-%{version}.tar.bz2
Requires:	xmms >= 1.0.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GDancer is a cute little plugin for XMMS that allows for a character to
dance to the music playing.  It also supports themes so you can pick
different characters to dance for you.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{oname}-%{version}


%build

%configure

%make


%install
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig -n /usr/lib/xmms/Visualization


%postun
/sbin/ldconfig -n /usr/lib/xmms/Visualization


%files
%defattr(-,root,root,0755)
%{_libdir}/xmms/Visualization/gdancer.so
%{_libdir}/xmms/Visualization/gdancer.la


%changelog
* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesift.com> 0.2.0-4mdk
- rebuild

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- macros

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- fix group

* Mon Mar 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip source
